package algs4

import (
	"bufio"
	"io"
	"strconv"
)

func ReadInts(infile io.Reader) ([]int64, error) {
	ints := make([]int64, 0)

	var i int64

	fileReader := bufio.NewReader(infile)
	line, err := fileReader.ReadString('\n')
	for err == nil {
		i, err = strconv.ParseInt(line, 10, 0)
		if err != nil {
			return nil, err
		}
		ints = append(ints, i)
		line, err = fileReader.ReadString('\n')
	}

	return ints, nil
}
